package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum CourseGroupEnum implements BaseEnum<String,CourseGroupEnum> {
    ING("ING", "进行中"),//课程已开始进行中
    COMPLETE("COMPLETE", "已完成"),//课程组课程全部完成
    DISSOLVE("DISSOLVE", "未成课"),//解散课程
    CANCEL("CANCEL", "已取消"),//课程已取消
    APPLY("APPLY", "报名中"),//开售中可以报名
    NOT_SALE("NOT_SALE", "未开售");//还未到开售日期

    @EnumValue
    private String code;

    private String msg;

    CourseGroupEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
